Eclipse Rich Ajax Platform

## org.eclipse.swt.widgets
Class TaskItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.widgets.TaskItem

All Implemented Interfaces:
  Adaptable

    public class TaskItem

extends Item

Instances of this class represent a task item.

Styles:
  (none)
Events:
  (none)

Since:
  1.4
See Also:
  Sample code and further information

Method Summary
`Menu` `getMenu()` Returns the receiver's pop up menu if it has one, or null if it does not.
`Image` `getOverlayImage()` Returns the receiver's overlay image if it has one, or null if it does not.
`java.lang.String` `getOverlayText()` Returns the receiver's overlay text, which will be an empty string if it has never been set.
`TaskBar` `getParent()` Returns the receiver's parent, which must be a `TaskBar`.
`int` `getProgress()` Returns the receiver's progress.
`int` `getProgressState()` Returns the receiver's progress state.
`void` `setMenu(Menu menu)` Sets the receiver's pop up menu to the argument.
`void` `setOverlayImage(Image overlayImage)` Sets the receiver's overlay image, which may be null indicating that no image should be displayed.
`void` `setOverlayText(java.lang.String overlayText)` Sets the receiver's overlay text.
`void` `setProgress(int progress)` Sets the receiver's progress, the progress represents a percentage and should be in range from 0 to 100.
`void` `setProgressState(int progressState)` Sets the receiver's progress state, the state can be one of the following:

Methods inherited from class org.eclipse.swt.widgets.Item
`getImage, getText, setImage, setText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getAdapter, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMenu

    public Menu getMenu()

  Returns the receiver's pop up menu if it has one, or null if it does not.

  Returns:
    the receiver's menu
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getOverlayImage

    public Image getOverlayImage()

  Returns the receiver's overlay image if it has one, or null if it does not.

  Returns:
    the receiver's overlay image
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getOverlayText

    public java.lang.String getOverlayText()

  Returns the receiver's overlay text, which will be an empty string if it has never been set.

  Returns:
    the receiver's overlay text
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getParent

    public TaskBar getParent()

  Returns the receiver's parent, which must be a `TaskBar`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getProgress

    public int getProgress()

  Returns the receiver's progress.

  Returns:
    the receiver's progress
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getProgressState

    public int getProgressState()

  Returns the receiver's progress state.

  Returns:
    the receiver's progress state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setMenu

    public void setMenu(Menu menu)

  Sets the receiver's pop up menu to the argument. The way the menu is shown is platform specific.

  This feature might not be available for the receiver on all platforms. The application code can check if it is supported by calling the respective get method. When the feature is not available, the get method will always return the NULL.

  For better cross platform support, the application code should set this feature on the `TaskItem` for application.
  On Windows, this feature will only work on RCP applications.

  The menu should be fully created before this method is called. Dynamic changes to the menu after the method is called will not be reflected in the native menu.

  Parameters:
    `menu` - the new pop up menu
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_MENU_NOT_POP_UP - the menu is not a pop up menu
    - ERROR_INVALID_ARGUMENT - if the menu has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setOverlayImage

    public void setOverlayImage(Image overlayImage)

  Sets the receiver's overlay image, which may be null indicating that no image should be displayed. The bounds for the overlay image is determined by the platform and in general it should be a small image.

  This feature might not be available for the receiver on all platforms. The application code can check if it is supported by calling the respective get method. When the feature is not available, the get method will always return the NULL.

  For better cross platform support, the application code should first try to set this feature on the `TaskItem` for the main shell then on the `TaskItem` for the application.

  Parameters:
    `overlayImage` - the new overlay image (may be null)
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the overlayImage has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setOverlayText

    public void setOverlayText(java.lang.String overlayText)

  Sets the receiver's overlay text. The space available to display the overlay text is platform dependent and in general it should be no longer than a few characters.

  This feature might not be available for the receiver on all platforms. The application code can check if it is supported by calling the respective get method. When the feature is not available, the get method will always return an empty string.

  For better cross platform support, the application code should first try to set this feature on the `TaskItem` for the main shell then on the `TaskItem` for the application.

  Parameters:
    `overlayText` - the new overlay text
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the overlayText is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setProgress

    public void setProgress(int progress)

  Sets the receiver's progress, the progress represents a percentage and should be in range from 0 to 100. The progress is only shown when the progress state is different than `SWT#DEFAULT`.

  This feature might not be available for the receiver on all platforms. The application code can check if it is supported by calling the respective get method. When the feature is not available, the get method will always return zero.

  For better cross platform support, the application code should first try to set this feature on the `TaskItem` for the main shell then on the `TaskItem` for the application.

  Parameters:
    `progress` - the new progress
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    #see `setProgressState(int)`

### setProgressState

    public void setProgressState(int progressState)

  Sets the receiver's progress state, the state can be one of the following:

  - `SWT.DEFAULT`
  - `SWT.NORMAL`
  - `SWT.PAUSED`
  - `SWT.ERROR`
  - `SWT.INDETERMINATE`
  The percentage of progress shown by the states `SWT#NORMAL`, `SWT#PAUSED`, `SWT#ERROR` is set with `setProgress()`.
  The state `SWT#DEFAULT` indicates that no progress should be shown.

  This feature might not be available for the receiver on all platforms. The application code can check if it is supported by calling the respective get method. When the feature is not available, the get method will always return `SWT#DEFAULT`.

  For better cross platform support, the application code should first try to set this feature on the `TaskItem` for the main shell then on the `TaskItem` for the application.

  Parameters:
    `progressState` - the new progress state
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
    #see `setProgress(int)`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.